### Hierarchy

- unknown
  - CheckConnectionsRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CheckConnectionsRequest(): CheckConnectionsRequest

- Inherited from jspb.Message.constructor

  #### Returns CheckConnectionsRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1022

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): CheckConnectionsRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1023

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CheckConnectionsRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CheckConnectionsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1026

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CheckConnectionsRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CheckConnectionsRequest, reader: BinaryReader): CheckConnectionsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1027

  #### Parameters

  - ##### message: CheckConnectionsRequest

  - ##### reader: BinaryReader

  #### Returns CheckConnectionsRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CheckConnectionsRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1025

  #### Parameters

  - ##### message: CheckConnectionsRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CheckConnectionsRequest ): CheckConnectionsRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1024

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CheckConnectionsRequest

  #### Returns CheckConnectionsRequest . AsObject

Generated using TypeDoc